%define module django-mptt

Summary:	Utilities for implementing Modified Preorder Tree Traversal
Name:		python-%{module}
Version:	0.6.0
Release:	%mkrel 3
License:	BSD
Group:		Development/Python
URL:		http://code.google.com/p/django-mptt/
Source:		http://pypi.python.org/packages/source/d/django-mptt/%{module}-%{version}.tar.gz
BuildArch:	noarch

BuildRequires:	python-devel
BuildRequires:	python-setuptools
BuildRequires:	python-django

%description
Utilities for implementing Modified Preorder Tree Traversal (MPTT) 
with your Django Model classes and working with trees of Model instances.

%prep
%setup -q -n %{module}-%{version}

%build
%{__python} setup.py build

%install
%{__python} setup.py install -O1 --skip-build --root="%{buildroot}" --prefix="%{_prefix}"

%check
cd tests
sh runtests.sh

%files
%doc LICENSE MANIFEST.in PKG-INFO README.rst
%{python_sitelib}/django_mptt-%{version}-py2.*.egg-info
%{python_sitelib}/mptt



%changelog
* Tue Oct 22 2013 umeabot <umeabot> 0.6.0-3.mga4
+ Revision: 543410
- Mageia 4 Mass Rebuild

* Tue Oct 15 2013 pterjan <pterjan> 0.6.0-2.mga4
+ Revision: 498373
- Rebuild to add different pythonegg provides for python 2 and 3

* Thu Oct 10 2013 nmartin <nmartin> 0.6.0-1.mga4
+ Revision: 494910
- Update to new version 0.6.0

* Mon Jun 03 2013 kharec <kharec> 0.5.5-1.mga4
+ Revision: 436230
- update to 0.5.5
- fix source0 as upstream now use tar.gz

* Sun Jan 13 2013 umeabot <umeabot> 0.4.2-2.mga3
+ Revision: 378680
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri May 06 2011 misc <misc> 0.4.2-1.mga1
+ Revision: 95247
- imported package python-django-mptt


* Fri May 06 2011 Michael Scherer <misc@zarb.org> - 0.4.2-1.mga
- adapt from Fedora to Mageia
- rename it
- remove specific macro from Fedora

* Mon Nov 29 2010 Dave Riches <dcr226@fedorapeople.org> - 0.4.2-2
- removed redundant comments from spec


* Sun Nov 28 2010 Clint Savage <herlo@fedorapeople.org> - 0.4.2-1
- Updated the package to 0.4.2 and removed a couple unneeded lines from the spec

* Thu Oct 21 2010 Dave Riches <dcr226@fedorapeople.org> - 0.4.1-1
- Packaged for Fedora

